org.flexdock.perspective.restore.handlers

## Class FloatingHandler

- java.lang.Object
- - org.flexdock.perspective.restore.handlers.FloatingHandler

- All Implemented Interfaces:
    RestorationHandler

      public class FloatingHandler
      extends java.lang.Object
      implements RestorationHandler

  Created on 2005-04-15
  Version:
    $Id: FloatingHandler.java,v 1.2 2005-06-04 16:42:22 winnetou25 Exp $
  Author:
    Mateusz Szczap, Christopher Butler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatingHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `restore(Dockable dockable, DockingState dockingState, java.util.Map context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FloatingHandler

          public FloatingHandler()

  - ### Method Detail

    - #### restore

          public boolean restore(Dockable dockable,
                        DockingState dockingState,
                        java.util.Map context)

      Specified by:
        `restore` in interface `RestorationHandler`